Skip to content

List Quotes

Required scope: quote:read

portfolioId is required. Omit status, or use PUBLIC_QUOTE_STATUS_UNSPECIFIED, to return all quote statuses for the portfolio. The other accepted JSON values are PUBLIC_QUOTE_STATUS_CONCEPT, PUBLIC_QUOTE_STATUS_CONFIRMED, and PUBLIC_QUOTE_STATUS_SUPERSEDED. Each quote includes its frozen pricingCountry and derived currency.

Generated Reference
POST /public-api/publicapi.v1.Quote/ListQuotes

Lists quotes belonging to one portfolio.

Request ListQuotesRequest
Response ListQuotesResponse

ListQuotesRequest

Field Type
portfolio_id string
status QuoteStatus

ListQuotesResponse

Field Type
quotes repeated Quote
{
"portfolioId": "<portfolio-id>",
"status": "PUBLIC_QUOTE_STATUS_CONCEPT"
}
{
"quotes": [
{
"id": "<quote-id>",
"portfolioId": "<portfolio-id>",
"status": "PUBLIC_QUOTE_STATUS_CONCEPT",
"currency": "USD",
"pricingCountry": "US",
"version": 3,
"referenceNumber": "Q-000123"
}
]
}